Conecta con nosotros

Noticias

SonicWall: vulnerabilidad crítica en algunos de sus firewalls

Publicado el

SonicWall: vulnerabilidad crítica en algunos de sus firewalls

Los firewalls de SonicWall son toda una referencia en el sector, y es un justo reconocimiento, puesto que cuenta con soluciones que se adaptan a todas las necesidades de protección. Esto explica su alto volumen de presencia en el entorno corporativo, donde empresas de todo tamaño confían en sus firewalls para filtrar tanto lo que entra como lo que sale de sus redes corporativas. Algo que, además, se ve reforzado por otras funciones, como la del despliegue de una VPN gestionada por el propio firewall.

Sin embargo, a más funciones, más superficie de exposición y, por lo tanto, mayor riesgo de que aparezcan problemas y vulnerabilidades que, explotadas, pueden comprometer la seguridad del dispositivo y, por lo tanto, de toda la infraestructura que están protegiendo. Tal es el caso del que vamos a hablar, que afecta a los firewalls de SonicWall y que, eso sí, afortunadamente ya puede ser subsanada gracias a las revisiones de SonicOS publicadas por el fabricante.

MS Recomienda

Estudio sobre ciberseguridad en la empresa española ¡Participa en nuestra encuesta y gana!
Estudio "La virtualización en las empresas españolas" ¡Descárgate el informe!
Gestiona los dispositivos de tu empresa de forma inteligente Leer

La vulnerabilidad, detectada por Tripwire e identificada como CVE-2020-5135, afecta a varias versiones de SonicOS, el sistema operativo que gestiona los firewalls de SonicWall. Según podemos leer en el informe de Tripwire, el problema se encuentra en el servicio HTTP/HTTPS que emplea el sistema operativo para la administración de dispositivos y los accesos VPN. Para ser explotada, el atacante debería enviar repetidamente solicitudes HTTP especialmente diseñadas con un controlador de protocolo personalizado y que terminarán provocando un desbordamiento de pila.

Solo con esto, ya es posible llevar a cabo un ataque de denegación de servicio, ya que este desbordamiento puede provocar el reinicio del firewall de SonicWall, con las nefastas consecuencias que esto tendría. Pero es peor aún, ya que los investigadores consideran posible el uso de este mismo agujero de seguridad para poder ejecutar código arbitrario en el dispositivo. No hay, al menos de momento, prueba de concepto al respecto, pero parece solo cuestión de tiempo.

Son bastantes las versiones del sistema operativo de los dispositivos de SonicWall que se ven afectadas por este problema de seguridad, esta es la lista publicada por el fabricante:

  • SonicOS 6.5.4.7-79n y versiones anteriores
  • SonicOS 6.5.1.11-4n y versiones anteriores
  • SonicOS 6.0.5.3-93o y anteriores
  • SonicOSv 6.5.4.4-44v-21-794 y versiones anteriores
  • SonicOS 7.0.0.0-1

No obstante, y como ya indicábamos al principio, ya hay versiones del OS de SonicWall que solucionan este problema. Son las siguientes:

  • SonicOS 6.5.4.7-83n
  • SonicOS 6.5.1.12-1n
  • SonicOS 6.0.5.3-94o
  • SonicOS 6.5.4.v-21s-987
  • Gen 7 7.0.0.0-2 y posteriores

Urge, por lo tanto, actualizar el software tan pronto como sea posible, si bien la actual dependencia que tienen muchas empresas de los servicios de VPN puede suponer una complicación. En tal caso, no obstante, lo más recomendable es programar un corte de servicio en un horario de poca carga de trabajo, y solucionar así un problema que puede tener serias consecuencias.

Si me dieran una cana por cada contenido que he escrito relacionado con la tecnología... pues sí, tendría las canas que tengo. Por lo demás, música, fotografía, café un eReader a reventar y una isla desierta. ¿Te vienes?

Lo más leído